Subject: bug#35969: 26.2, Excorporate

From: "tenspd137 ." <[email-masked]>
Date: Fri, 14 Jun 2019 15:48:34 -0600

Sorry - I am not in control of my proxy.  So, before I give up on this
for today, I was going over the wget logs from trying the same thing.
One thing I noticed is:

Connection: Keep-Alive
Proxy-Connection: Keep-Alive

I see stuff in the emacs buffers mentioning Connection, and it says
closed (unless marking the connection as busy is the same as keeping
it open), but I don't see anything mentioning the proxy
connection....?  Maybe another place to look?

Just some ideas...

Thanks!

-C

On Fri, Jun 14, 2019 at 3:02 PM Thomas Fitzsimmons <[email-masked]> wrote:
>
> Hi,
>
> Thanks for following up with these further test results.
>
> "tenspd137 ." <[email-masked]> writes:
>
> > I was able to try stepping through an Emacs/proxy/Exchange test in an
> > emacs -Q session.  After setting the proxy and configuring the
> > debugger to step through url-http and url-http-async-sentilnel, the
> > only thing I noticed is that it appears url-http-async-sentinel is not
> > being called.
>
> OK, that's probably expected.  I listed it for completeness (all the
> call sites of url-https-proxy-connect), but I guess it would only be
> called under url-retrieve, not under url-retrieve-synchronously.
>
> > I also put the url-https-proxy-connect override you gave me earlier
> > into a file, loaded it and set the debugger to run through that as
> > well as set up proxies.  A broken down list of steps:
> >
> > 1.  Load file containing proxy and altered url-https-proxyconnect, set
> > debugger to run through it when hit.
> > 2.  set up url-http and url-http-async-sentinel to be picked up by debugger
> > 3.  eval (url-retrieve-synchronously
> > "https://outlook.office365.com/EWS/Exchange.asmx"), step through
> > url-http
> > 4.  Input username and password when asked
> > 5.  Continue stepping until end
> >
> > url-http-async-sentinel is never called. " *http* ... -####" has text
> > indicating failure. url-https-proxy-connect is indeed called.
>
> OK, it's good to know that url-http ultimately calls
> url-https-proxy-connect.  Unfortunately, despite this, proxying does not
> work.
>
> > I don't know how to look at the actual <process>, if I try to C-x C-e
> > or M-: "connection", it goes into the debugger.  The url's, etc look
> > good as far as I can tell.  Not sure what else I can do.  If there are
> > certain pieces of url-http you want me to look at, just let me know,
> > but not really knowing what has to happen under the hood, I am not
> > going to be able to do much else.
>
> I think I'll probably have to set up my own test environment.  Are you
> in control of the proxy and its configuration?  If so, can you provide
> rough configuration instructions (proxy software, version, relevant
> config settings)?  If not, that's OK, I can try setting up generic proxy
> software.
>
> Thanks,
> Thomas